CfDef (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.thrift

## Class CfDef

- java.lang.Object
- - org.apache.cassandra.thrift.CfDef

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<CfDef>, org.apache.thrift.TBase<CfDef,CfDef._Fields>

      public class CfDef
      extends java.lang.Object
      implements org.apache.thrift.TBase<CfDef,CfDef._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<CfDef>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CfDef._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `double` | `bloom_filter_fp_chance`
    `java.lang.String` | `caching`
    `java.lang.String` | `cells_per_row_to_cache`
    `java.util.List<ColumnDef>` | `column_metadata`
    `java.lang.String` | `column_type`
    `java.lang.String` | `comment`
    `java.lang.String` | `compaction_strategy`
    `java.util.Map<java.lang.String,java.lang.String>` | `compaction_strategy_options`
    `java.lang.String` | `comparator_type`
    `java.util.Map<java.lang.String,java.lang.String>` | `compression_options`
    `double` | `dclocal_read_repair_chance`
    `int` | `default_time_to_live`
    `java.lang.String` | `default_validation_class`
    `int` | `gc_grace_seconds`
    `int` | `id`
    `int` | `index_interval` Deprecated.
    `java.nio.ByteBuffer` | `key_alias`
    `int` | `key_cache_save_period_in_seconds` Deprecated.
    `double` | `key_cache_size` Deprecated.
    `java.lang.String` | `key_validation_class`
    `java.lang.String` | `keyspace`
    `int` | `max_compaction_threshold`
    `int` | `max_index_interval`
    `int` | `memtable_flush_after_mins` Deprecated.
    `int` | `memtable_flush_period_in_ms`
    `double` | `memtable_operations_in_millions` Deprecated.
    `int` | `memtable_throughput_in_mb` Deprecated.
    `double` | `merge_shards_chance` Deprecated.
    `static java.util.Map<CfDef._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`
    `int` | `min_compaction_threshold`
    `int` | `min_index_interval`
    `java.lang.String` | `name`
    `boolean` | `populate_io_cache_on_flush` Deprecated.
    `double` | `read_repair_chance`
    `boolean` | `replicate_on_write` Deprecated.
    `int` | `row_cache_keys_to_save` Deprecated.
    `java.lang.String` | `row_cache_provider` Deprecated.
    `int` | `row_cache_save_period_in_seconds` Deprecated.
    `double` | `row_cache_size` Deprecated.
    `java.lang.String` | `speculative_retry`
    `java.lang.String` | `subcomparator_type`
    `java.util.List<TriggerDef>` | `triggers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfDef()`
    `CfDef(CfDef other)` Performs a deep copy on other.
    `CfDef(java.lang.String keyspace, java.lang.String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addToColumn_metadata(ColumnDef elem)`
    `void` | `addToTriggers(TriggerDef elem)`
    `java.nio.ByteBuffer` | `bufferForKey_alias()`
    `void` | `clear()`
    `int` | `compareTo(CfDef other)`
    `CfDef` | `deepCopy()`
    `boolean` | `equals(CfDef that)`
    `boolean` | `equals(java.lang.Object that)`
    `CfDef._Fields` | `fieldForId(int fieldId)`
    `double` | `getBloom_filter_fp_chance()`
    `java.lang.String` | `getCaching()`
    `java.lang.String` | `getCells_per_row_to_cache()`
    `java.util.List<ColumnDef>` | `getColumn_metadata()`
    `java.util.Iterator<ColumnDef>` | `getColumn_metadataIterator()`
    `int` | `getColumn_metadataSize()`
    `java.lang.String` | `getColumn_type()`
    `java.lang.String` | `getComment()`
    `java.util.Map<java.lang.String,java.lang.String>` | `getCompaction_strategy_options()`
    `int` | `getCompaction_strategy_optionsSize()`
    `java.lang.String` | `getCompaction_strategy()`
    `java.lang.String` | `getComparator_type()`
    `java.util.Map<java.lang.String,java.lang.String>` | `getCompression_options()`
    `int` | `getCompression_optionsSize()`
    `double` | `getDclocal_read_repair_chance()`
    `int` | `getDefault_time_to_live()`
    `java.lang.String` | `getDefault_validation_class()`
    `java.lang.Object` | `getFieldValue(CfDef._Fields field)`
    `int` | `getGc_grace_seconds()`
    `int` | `getId()`
    `int` | `getIndex_interval()` Deprecated.
    `byte[]` | `getKey_alias()`
    `int` | `getKey_cache_save_period_in_seconds()` Deprecated.
    `double` | `getKey_cache_size()` Deprecated.
    `java.lang.String` | `getKey_validation_class()`
    `java.lang.String` | `getKeyspace()`
    `int` | `getMax_compaction_threshold()`
    `int` | `getMax_index_interval()`
    `int` | `getMemtable_flush_after_mins()` Deprecated.
    `int` | `getMemtable_flush_period_in_ms()`
    `double` | `getMemtable_operations_in_millions()` Deprecated.
    `int` | `getMemtable_throughput_in_mb()` Deprecated.
    `double` | `getMerge_shards_chance()` Deprecated.
    `int` | `getMin_compaction_threshold()`
    `int` | `getMin_index_interval()`
    `java.lang.String` | `getName()`
    `double` | `getRead_repair_chance()`
    `int` | `getRow_cache_keys_to_save()` Deprecated.
    `java.lang.String` | `getRow_cache_provider()` Deprecated.
    `int` | `getRow_cache_save_period_in_seconds()` Deprecated.
    `double` | `getRow_cache_size()` Deprecated.
    `java.lang.String` | `getSpeculative_retry()`
    `java.lang.String` | `getSubcomparator_type()`
    `java.util.List<TriggerDef>` | `getTriggers()`
    `java.util.Iterator<TriggerDef>` | `getTriggersIterator()`
    `int` | `getTriggersSize()`
    `int` | `hashCode()`
    `boolean` | `isPopulate_io_cache_on_flush()` Deprecated.
    `boolean` | `isReplicate_on_write()` Deprecated.
    `boolean` | `isSet(CfDef._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetBloom_filter_fp_chance()` Returns true if field bloom_filter_fp_chance is set (has been assigned a value) and false otherwise
    `boolean` | `isSetCaching()` Returns true if field caching is set (has been assigned a value) and false otherwise
    `boolean` | `isSetCells_per_row_to_cache()` Returns true if field cells_per_row_to_cache is set (has been assigned a value) and false otherwise
    `boolean` | `isSetColumn_metadata()` Returns true if field column_metadata is set (has been assigned a value) and false otherwise
    `boolean` | `isSetColumn_type()` Returns true if field column_type is set (has been assigned a value) and false otherwise
    `boolean` | `isSetComment()` Returns true if field comment is set (has been assigned a value) and false otherwise
    `boolean` | `isSetCompaction_strategy_options()` Returns true if field compaction_strategy_options is set (has been assigned a value) and false otherwise
    `boolean` | `isSetCompaction_strategy()` Returns true if field compaction_strategy is set (has been assigned a value) and false otherwise
    `boolean` | `isSetComparator_type()` Returns true if field comparator_type is set (has been assigned a value) and false otherwise
    `boolean` | `isSetCompression_options()` Returns true if field compression_options is set (has been assigned a value) and false otherwise
    `boolean` | `isSetDclocal_read_repair_chance()` Returns true if field dclocal_read_repair_chance is set (has been assigned a value) and false otherwise
    `boolean` | `isSetDefault_time_to_live()` Returns true if field default_time_to_live is set (has been assigned a value) and false otherwise
    `boolean` | `isSetDefault_validation_class()` Returns true if field default_validation_class is set (has been assigned a value) and false otherwise
    `boolean` | `isSetGc_grace_seconds()` Returns true if field gc_grace_seconds is set (has been assigned a value) and false otherwise
    `boolean` | `isSetId()` Returns true if field id is set (has been assigned a value) and false otherwise
    `boolean` | `isSetIndex_interval()` Returns true if field index_interval is set (has been assigned a value) and false otherwise
    `boolean` | `isSetKey_alias()` Returns true if field key_alias is set (has been assigned a value) and false otherwise
    `boolean` | `isSetKey_cache_save_period_in_seconds()` Returns true if field key_cache_save_period_in_seconds is set (has been assigned a value) and false otherwise
    `boolean` | `isSetKey_cache_size()` Returns true if field key_cache_size is set (has been assigned a value) and false otherwise
    `boolean` | `isSetKey_validation_class()` Returns true if field key_validation_class is set (has been assigned a value) and false otherwise
    `boolean` | `isSetKeyspace()` Returns true if field keyspace is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMax_compaction_threshold()` Returns true if field max_compaction_threshold is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMax_index_interval()` Returns true if field max_index_interval is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMemtable_flush_after_mins()` Returns true if field memtable_flush_after_mins is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMemtable_flush_period_in_ms()` Returns true if field memtable_flush_period_in_ms is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMemtable_operations_in_millions()` Returns true if field memtable_operations_in_millions is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMemtable_throughput_in_mb()` Returns true if field memtable_throughput_in_mb is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMerge_shards_chance()` Returns true if field merge_shards_chance is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMin_compaction_threshold()` Returns true if field min_compaction_threshold is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMin_index_interval()` Returns true if field min_index_interval is set (has been assigned a value) and false otherwise
    `boolean` | `isSetName()` Returns true if field name is set (has been assigned a value) and false otherwise
    `boolean` | `isSetPopulate_io_cache_on_flush()` Returns true if field populate_io_cache_on_flush is set (has been assigned a value) and false otherwise
    `boolean` | `isSetRead_repair_chance()` Returns true if field read_repair_chance is set (has been assigned a value) and false otherwise
    `boolean` | `isSetReplicate_on_write()` Returns true if field replicate_on_write is set (has been assigned a value) and false otherwise
    `boolean` | `isSetRow_cache_keys_to_save()` Returns true if field row_cache_keys_to_save is set (has been assigned a value) and false otherwise
    `boolean` | `isSetRow_cache_provider()` Returns true if field row_cache_provider is set (has been assigned a value) and false otherwise
    `boolean` | `isSetRow_cache_save_period_in_seconds()` Returns true if field row_cache_save_period_in_seconds is set (has been assigned a value) and false otherwise
    `boolean` | `isSetRow_cache_size()` Returns true if field row_cache_size is set (has been assigned a value) and false otherwise
    `boolean` | `isSetSpeculative_retry()` Returns true if field speculative_retry is set (has been assigned a value) and false otherwise
    `boolean` | `isSetSubcomparator_type()` Returns true if field subcomparator_type is set (has been assigned a value) and false otherwise
    `boolean` | `isSetTriggers()` Returns true if field triggers is set (has been assigned a value) and false otherwise
    `void` | `putToCompaction_strategy_options(java.lang.String key, java.lang.String val)`
    `void` | `putToCompression_options(java.lang.String key, java.lang.String val)`
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `CfDef` | `setBloom_filter_fp_chance(double bloom_filter_fp_chance)`
    `void` | `setBloom_filter_fp_chanceIsSet(boolean value)`
    `CfDef` | `setCaching(java.lang.String caching)`
    `void` | `setCachingIsSet(boolean value)`
    `CfDef` | `setCells_per_row_to_cache(java.lang.String cells_per_row_to_cache)`
    `void` | `setCells_per_row_to_cacheIsSet(boolean value)`
    `CfDef` | `setColumn_metadata(java.util.List<ColumnDef> column_metadata)`
    `void` | `setColumn_metadataIsSet(boolean value)`
    `CfDef` | `setColumn_type(java.lang.String column_type)`
    `void` | `setColumn_typeIsSet(boolean value)`
    `CfDef` | `setComment(java.lang.String comment)`
    `void` | `setCommentIsSet(boolean value)`
    `CfDef` | `setCompaction_strategy_options(java.util.Map<java.lang.String,java.lang.String> compaction_strategy_options)`
    `void` | `setCompaction_strategy_optionsIsSet(boolean value)`
    `CfDef` | `setCompaction_strategy(java.lang.String compaction_strategy)`
    `void` | `setCompaction_strategyIsSet(boolean value)`
    `CfDef` | `setComparator_type(java.lang.String comparator_type)`
    `void` | `setComparator_typeIsSet(boolean value)`
    `CfDef` | `setCompression_options(java.util.Map<java.lang.String,java.lang.String> compression_options)`
    `void` | `setCompression_optionsIsSet(boolean value)`
    `CfDef` | `setDclocal_read_repair_chance(double dclocal_read_repair_chance)`
    `void` | `setDclocal_read_repair_chanceIsSet(boolean value)`
    `CfDef` | `setDefault_time_to_live(int default_time_to_live)`
    `void` | `setDefault_time_to_liveIsSet(boolean value)`
    `CfDef` | `setDefault_validation_class(java.lang.String default_validation_class)`
    `void` | `setDefault_validation_classIsSet(boolean value)`
    `void` | `setFieldValue(CfDef._Fields field, java.lang.Object value)`
    `CfDef` | `setGc_grace_seconds(int gc_grace_seconds)`
    `void` | `setGc_grace_secondsIsSet(boolean value)`
    `CfDef` | `setId(int id)`
    `void` | `setIdIsSet(boolean value)`
    `CfDef` | `setIndex_interval(int index_interval)` Deprecated.
    `void` | `setIndex_intervalIsSet(boolean value)`
    `CfDef` | `setKey_alias(byte[] key_alias)`
    `CfDef` | `setKey_alias(java.nio.ByteBuffer key_alias)`
    `void` | `setKey_aliasIsSet(boolean value)`
    `CfDef` | `setKey_cache_save_period_in_seconds(int key_cache_save_period_in_seconds)` Deprecated.
    `void` | `setKey_cache_save_period_in_secondsIsSet(boolean value)`
    `CfDef` | `setKey_cache_size(double key_cache_size)` Deprecated.
    `void` | `setKey_cache_sizeIsSet(boolean value)`
    `CfDef` | `setKey_validation_class(java.lang.String key_validation_class)`
    `void` | `setKey_validation_classIsSet(boolean value)`
    `CfDef` | `setKeyspace(java.lang.String keyspace)`
    `void` | `setKeyspaceIsSet(boolean value)`
    `CfDef` | `setMax_compaction_threshold(int max_compaction_threshold)`
    `void` | `setMax_compaction_thresholdIsSet(boolean value)`
    `CfDef` | `setMax_index_interval(int max_index_interval)`
    `void` | `setMax_index_intervalIsSet(boolean value)`
    `CfDef` | `setMemtable_flush_after_mins(int memtable_flush_after_mins)` Deprecated.
    `void` | `setMemtable_flush_after_minsIsSet(boolean value)`
    `CfDef` | `setMemtable_flush_period_in_ms(int memtable_flush_period_in_ms)`
    `void` | `setMemtable_flush_period_in_msIsSet(boolean value)`
    `CfDef` | `setMemtable_operations_in_millions(double memtable_operations_in_millions)` Deprecated.
    `void` | `setMemtable_operations_in_millionsIsSet(boolean value)`
    `CfDef` | `setMemtable_throughput_in_mb(int memtable_throughput_in_mb)` Deprecated.
    `void` | `setMemtable_throughput_in_mbIsSet(boolean value)`
    `CfDef` | `setMerge_shards_chance(double merge_shards_chance)` Deprecated.
    `void` | `setMerge_shards_chanceIsSet(boolean value)`
    `CfDef` | `setMin_compaction_threshold(int min_compaction_threshold)`
    `void` | `setMin_compaction_thresholdIsSet(boolean value)`
    `CfDef` | `setMin_index_interval(int min_index_interval)`
    `void` | `setMin_index_intervalIsSet(boolean value)`
    `CfDef` | `setName(java.lang.String name)`
    `void` | `setNameIsSet(boolean value)`
    `CfDef` | `setPopulate_io_cache_on_flush(boolean populate_io_cache_on_flush)` Deprecated.
    `void` | `setPopulate_io_cache_on_flushIsSet(boolean value)`
    `CfDef` | `setRead_repair_chance(double read_repair_chance)`
    `void` | `setRead_repair_chanceIsSet(boolean value)`
    `CfDef` | `setReplicate_on_write(boolean replicate_on_write)` Deprecated.
    `void` | `setReplicate_on_writeIsSet(boolean value)`
    `CfDef` | `setRow_cache_keys_to_save(int row_cache_keys_to_save)` Deprecated.
    `void` | `setRow_cache_keys_to_saveIsSet(boolean value)`
    `CfDef` | `setRow_cache_provider(java.lang.String row_cache_provider)` Deprecated.
    `void` | `setRow_cache_providerIsSet(boolean value)`
    `CfDef` | `setRow_cache_save_period_in_seconds(int row_cache_save_period_in_seconds)` Deprecated.
    `void` | `setRow_cache_save_period_in_secondsIsSet(boolean value)`
    `CfDef` | `setRow_cache_size(double row_cache_size)` Deprecated.
    `void` | `setRow_cache_sizeIsSet(boolean value)`
    `CfDef` | `setSpeculative_retry(java.lang.String speculative_retry)`
    `void` | `setSpeculative_retryIsSet(boolean value)`
    `CfDef` | `setSubcomparator_type(java.lang.String subcomparator_type)`
    `void` | `setSubcomparator_typeIsSet(boolean value)`
    `CfDef` | `setTriggers(java.util.List<TriggerDef> triggers)`
    `void` | `setTriggersIsSet(boolean value)`
    `java.lang.String` | `toString()`
    `void` | `unsetBloom_filter_fp_chance()`
    `void` | `unsetCaching()`
    `void` | `unsetCells_per_row_to_cache()`
    `void` | `unsetColumn_metadata()`
    `void` | `unsetColumn_type()`
    `void` | `unsetComment()`
    `void` | `unsetCompaction_strategy_options()`
    `void` | `unsetCompaction_strategy()`
    `void` | `unsetComparator_type()`
    `void` | `unsetCompression_options()`
    `void` | `unsetDclocal_read_repair_chance()`
    `void` | `unsetDefault_time_to_live()`
    `void` | `unsetDefault_validation_class()`
    `void` | `unsetGc_grace_seconds()`
    `void` | `unsetId()`
    `void` | `unsetIndex_interval()`
    `void` | `unsetKey_alias()`
    `void` | `unsetKey_cache_save_period_in_seconds()`
    `void` | `unsetKey_cache_size()`
    `void` | `unsetKey_validation_class()`
    `void` | `unsetKeyspace()`
    `void` | `unsetMax_compaction_threshold()`
    `void` | `unsetMax_index_interval()`
    `void` | `unsetMemtable_flush_after_mins()`
    `void` | `unsetMemtable_flush_period_in_ms()`
    `void` | `unsetMemtable_operations_in_millions()`
    `void` | `unsetMemtable_throughput_in_mb()`
    `void` | `unsetMerge_shards_chance()`
    `void` | `unsetMin_compaction_threshold()`
    `void` | `unsetMin_index_interval()`
    `void` | `unsetName()`
    `void` | `unsetPopulate_io_cache_on_flush()`
    `void` | `unsetRead_repair_chance()`
    `void` | `unsetReplicate_on_write()`
    `void` | `unsetRow_cache_keys_to_save()`
    `void` | `unsetRow_cache_provider()`
    `void` | `unsetRow_cache_save_period_in_seconds()`
    `void` | `unsetRow_cache_size()`
    `void` | `unsetSpeculative_retry()`
    `void` | `unsetSubcomparator_type()`
    `void` | `unsetTriggers()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### keyspace

          public java.lang.String keyspace

    - #### name

          public java.lang.String name

    - #### column_type

          public java.lang.String column_type

    - #### comparator_type

          public java.lang.String comparator_type

    - #### subcomparator_type

          public java.lang.String subcomparator_type

    - #### comment

          public java.lang.String comment

    - #### read_repair_chance

          public double read_repair_chance

    - #### column_metadata

          public java.util.List<ColumnDef> column_metadata

    - #### gc_grace_seconds

          public int gc_grace_seconds

    - #### default_validation_class

          public java.lang.String default_validation_class

    - #### id

          public int id

    - #### min_compaction_threshold

          public int min_compaction_threshold

    - #### max_compaction_threshold

          public int max_compaction_threshold

    - #### key_validation_class

          public java.lang.String key_validation_class

    - #### key_alias

          public java.nio.ByteBuffer key_alias

    - #### compaction_strategy

          public java.lang.String compaction_strategy

    - #### compaction_strategy_options

          public java.util.Map<java.lang.String,java.lang.String> compaction_strategy_options

    - #### compression_options

          public java.util.Map<java.lang.String,java.lang.String> compression_options

    - #### bloom_filter_fp_chance

          public double bloom_filter_fp_chance

    - #### caching

          public java.lang.String caching

    - #### dclocal_read_repair_chance

          public double dclocal_read_repair_chance

    - #### memtable_flush_period_in_ms

          public int memtable_flush_period_in_ms

    - #### default_time_to_live

          public int default_time_to_live

    - #### speculative_retry

          public java.lang.String speculative_retry

    - #### triggers

          public java.util.List<TriggerDef> triggers

    - #### cells_per_row_to_cache

          public java.lang.String cells_per_row_to_cache

    - #### min_index_interval

          public int min_index_interval

    - #### max_index_interval

          public int max_index_interval

    - #### row_cache_size

          public double row_cache_size

      Deprecated.

    - #### key_cache_size

          public double key_cache_size

      Deprecated.

    - #### row_cache_save_period_in_seconds

          public int row_cache_save_period_in_seconds

      Deprecated.

    - #### key_cache_save_period_in_seconds

          public int key_cache_save_period_in_seconds

      Deprecated.

    - #### memtable_flush_after_mins

          public int memtable_flush_after_mins

      Deprecated.

    - #### memtable_throughput_in_mb

          public int memtable_throughput_in_mb

      Deprecated.

    - #### memtable_operations_in_millions

          public double memtable_operations_in_millions

      Deprecated.

    - #### replicate_on_write

          public boolean replicate_on_write

      Deprecated.

    - #### merge_shards_chance

          public double merge_shards_chance

      Deprecated.

    - #### row_cache_provider

          public java.lang.String row_cache_provider

      Deprecated.

    - #### row_cache_keys_to_save

          public int row_cache_keys_to_save

      Deprecated.

    - #### populate_io_cache_on_flush

          public boolean populate_io_cache_on_flush

      Deprecated.

    - #### index_interval

          public int index_interval

      Deprecated.

    - #### metaDataMap

          public static final java.util.Map<CfDef._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### CfDef

          public CfDef()

    - #### CfDef

          public CfDef(java.lang.String keyspace,
                       java.lang.String name)

    - #### CfDef

          public CfDef(CfDef other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public CfDef deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<CfDef,CfDef._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<CfDef,CfDef._Fields>`

    - #### getKeyspace

          public java.lang.String getKeyspace()

    - #### setKeyspace

          public CfDef setKeyspace(java.lang.String keyspace)

    - #### unsetKeyspace

          public void unsetKeyspace()

    - #### isSetKeyspace

          public boolean isSetKeyspace()

      Returns true if field keyspace is set (has been assigned a value) and false otherwise

    - #### setKeyspaceIsSet

          public void setKeyspaceIsSet(boolean value)

    - #### getName

          public java.lang.String getName()

    - #### setName

          public CfDef setName(java.lang.String name)

    - #### unsetName

          public void unsetName()

    - #### isSetName

          public boolean isSetName()

      Returns true if field name is set (has been assigned a value) and false otherwise

    - #### setNameIsSet

          public void setNameIsSet(boolean value)

    - #### getColumn_type

          public java.lang.String getColumn_type()

    - #### setColumn_type

          public CfDef setColumn_type(java.lang.String column_type)

    - #### unsetColumn_type

          public void unsetColumn_type()

    - #### isSetColumn_type

          public boolean isSetColumn_type()

      Returns true if field column_type is set (has been assigned a value) and false otherwise

    - #### setColumn_typeIsSet

          public void setColumn_typeIsSet(boolean value)

    - #### getComparator_type

          public java.lang.String getComparator_type()

    - #### setComparator_type

          public CfDef setComparator_type(java.lang.String comparator_type)

    - #### unsetComparator_type

          public void unsetComparator_type()

    - #### isSetComparator_type

          public boolean isSetComparator_type()

      Returns true if field comparator_type is set (has been assigned a value) and false otherwise

    - #### setComparator_typeIsSet

          public void setComparator_typeIsSet(boolean value)

    - #### getSubcomparator_type

          public java.lang.String getSubcomparator_type()

    - #### setSubcomparator_type

          public CfDef setSubcomparator_type(java.lang.String subcomparator_type)

    - #### unsetSubcomparator_type

          public void unsetSubcomparator_type()

    - #### isSetSubcomparator_type

          public boolean isSetSubcomparator_type()

      Returns true if field subcomparator_type is set (has been assigned a value) and false otherwise

    - #### setSubcomparator_typeIsSet

          public void setSubcomparator_typeIsSet(boolean value)

    - #### getComment

          public java.lang.String getComment()

    - #### setComment

          public CfDef setComment(java.lang.String comment)

    - #### unsetComment

          public void unsetComment()

    - #### isSetComment

          public boolean isSetComment()

      Returns true if field comment is set (has been assigned a value) and false otherwise

    - #### setCommentIsSet

          public void setCommentIsSet(boolean value)

    - #### getRead_repair_chance

          public double getRead_repair_chance()

    - #### setRead_repair_chance

          public CfDef setRead_repair_chance(double read_repair_chance)

    - #### unsetRead_repair_chance

          public void unsetRead_repair_chance()

    - #### isSetRead_repair_chance

          public boolean isSetRead_repair_chance()

      Returns true if field read_repair_chance is set (has been assigned a value) and false otherwise

    - #### setRead_repair_chanceIsSet

          public void setRead_repair_chanceIsSet(boolean value)

    - #### getColumn_metadataSize

          public int getColumn_metadataSize()

    - #### getColumn_metadataIterator

          public java.util.Iterator<ColumnDef> getColumn_metadataIterator()

    - #### addToColumn_metadata

          public void addToColumn_metadata(ColumnDef elem)

    - #### getColumn_metadata

          public java.util.List<ColumnDef> getColumn_metadata()

    - #### setColumn_metadata

          public CfDef setColumn_metadata(java.util.List<ColumnDef> column_metadata)

    - #### unsetColumn_metadata

          public void unsetColumn_metadata()

    - #### isSetColumn_metadata

          public boolean isSetColumn_metadata()

      Returns true if field column_metadata is set (has been assigned a value) and false otherwise

    - #### setColumn_metadataIsSet

          public void setColumn_metadataIsSet(boolean value)

    - #### getGc_grace_seconds

          public int getGc_grace_seconds()

    - #### setGc_grace_seconds

          public CfDef setGc_grace_seconds(int gc_grace_seconds)

    - #### unsetGc_grace_seconds

          public void unsetGc_grace_seconds()

    - #### isSetGc_grace_seconds

          public boolean isSetGc_grace_seconds()

      Returns true if field gc_grace_seconds is set (has been assigned a value) and false otherwise

    - #### setGc_grace_secondsIsSet

          public void setGc_grace_secondsIsSet(boolean value)

    - #### getDefault_validation_class

          public java.lang.String getDefault_validation_class()

    - #### setDefault_validation_class

          public CfDef setDefault_validation_class(java.lang.String default_validation_class)

    - #### unsetDefault_validation_class

          public void unsetDefault_validation_class()

    - #### isSetDefault_validation_class

          public boolean isSetDefault_validation_class()

      Returns true if field default_validation_class is set (has been assigned a value) and false otherwise

    - #### setDefault_validation_classIsSet

          public void setDefault_validation_classIsSet(boolean value)

    - #### getId

          public int getId()

    - #### setId

          public CfDef setId(int id)

    - #### unsetId

          public void unsetId()

    - #### isSetId

          public boolean isSetId()

      Returns true if field id is set (has been assigned a value) and false otherwise

    - #### setIdIsSet

          public void setIdIsSet(boolean value)

    - #### getMin_compaction_threshold

          public int getMin_compaction_threshold()

    - #### setMin_compaction_threshold

          public CfDef setMin_compaction_threshold(int min_compaction_threshold)

    - #### unsetMin_compaction_threshold

          public void unsetMin_compaction_threshold()

    - #### isSetMin_compaction_threshold

          public boolean isSetMin_compaction_threshold()

      Returns true if field min_compaction_threshold is set (has been assigned a value) and false otherwise

    - #### setMin_compaction_thresholdIsSet

          public void setMin_compaction_thresholdIsSet(boolean value)

    - #### getMax_compaction_threshold

          public int getMax_compaction_threshold()

    - #### setMax_compaction_threshold

          public CfDef setMax_compaction_threshold(int max_compaction_threshold)

    - #### unsetMax_compaction_threshold

          public void unsetMax_compaction_threshold()

    - #### isSetMax_compaction_threshold

          public boolean isSetMax_compaction_threshold()

      Returns true if field max_compaction_threshold is set (has been assigned a value) and false otherwise

    - #### setMax_compaction_thresholdIsSet

          public void setMax_compaction_thresholdIsSet(boolean value)

    - #### getKey_validation_class

          public java.lang.String getKey_validation_class()

    - #### setKey_validation_class

          public CfDef setKey_validation_class(java.lang.String key_validation_class)

    - #### unsetKey_validation_class

          public void unsetKey_validation_class()

    - #### isSetKey_validation_class

          public boolean isSetKey_validation_class()

      Returns true if field key_validation_class is set (has been assigned a value) and false otherwise

    - #### setKey_validation_classIsSet

          public void setKey_validation_classIsSet(boolean value)

    - #### getKey_alias

          public byte[] getKey_alias()

    - #### bufferForKey_alias

          public java.nio.ByteBuffer bufferForKey_alias()

    - #### setKey_alias

          public CfDef setKey_alias(byte[] key_alias)

    - #### setKey_alias

          public CfDef setKey_alias(java.nio.ByteBuffer key_alias)

    - #### unsetKey_alias

          public void unsetKey_alias()

    - #### isSetKey_alias

          public boolean isSetKey_alias()

      Returns true if field key_alias is set (has been assigned a value) and false otherwise

    - #### setKey_aliasIsSet

          public void setKey_aliasIsSet(boolean value)

    - #### getCompaction_strategy

          public java.lang.String getCompaction_strategy()

    - #### setCompaction_strategy

          public CfDef setCompaction_strategy(java.lang.String compaction_strategy)

    - #### unsetCompaction_strategy

          public void unsetCompaction_strategy()

    - #### isSetCompaction_strategy

          public boolean isSetCompaction_strategy()

      Returns true if field compaction_strategy is set (has been assigned a value) and false otherwise

    - #### setCompaction_strategyIsSet

          public void setCompaction_strategyIsSet(boolean value)

    - #### getCompaction_strategy_optionsSize

          public int getCompaction_strategy_optionsSize()

    - #### putToCompaction_strategy_options

          public void putToCompaction_strategy_options(java.lang.String key,
                                                       java.lang.String val)

    - #### getCompaction_strategy_options

          public java.util.Map<java.lang.String,java.lang.String> getCompaction_strategy_options()

    - #### setCompaction_strategy_options

          public CfDef setCompaction_strategy_options(java.util.Map<java.lang.String,java.lang.String> compaction_strategy_options)

    - #### unsetCompaction_strategy_options

          public void unsetCompaction_strategy_options()

    - #### isSetCompaction_strategy_options

          public boolean isSetCompaction_strategy_options()

      Returns true if field compaction_strategy_options is set (has been assigned a value) and false otherwise

    - #### setCompaction_strategy_optionsIsSet

          public void setCompaction_strategy_optionsIsSet(boolean value)

    - #### getCompression_optionsSize

          public int getCompression_optionsSize()

    - #### putToCompression_options

          public void putToCompression_options(java.lang.String key,
                                               java.lang.String val)

    - #### getCompression_options

          public java.util.Map<java.lang.String,java.lang.String> getCompression_options()

    - #### setCompression_options

          public CfDef setCompression_options(java.util.Map<java.lang.String,java.lang.String> compression_options)

    - #### unsetCompression_options

          public void unsetCompression_options()

    - #### isSetCompression_options

          public boolean isSetCompression_options()

      Returns true if field compression_options is set (has been assigned a value) and false otherwise

    - #### setCompression_optionsIsSet

          public void setCompression_optionsIsSet(boolean value)

    - #### getBloom_filter_fp_chance

          public double getBloom_filter_fp_chance()

    - #### setBloom_filter_fp_chance

          public CfDef setBloom_filter_fp_chance(double bloom_filter_fp_chance)

    - #### unsetBloom_filter_fp_chance

          public void unsetBloom_filter_fp_chance()

    - #### isSetBloom_filter_fp_chance

          public boolean isSetBloom_filter_fp_chance()

      Returns true if field bloom_filter_fp_chance is set (has been assigned a value) and false otherwise

    - #### setBloom_filter_fp_chanceIsSet

          public void setBloom_filter_fp_chanceIsSet(boolean value)

    - #### getCaching

          public java.lang.String getCaching()

    - #### setCaching

          public CfDef setCaching(java.lang.String caching)

    - #### unsetCaching

          public void unsetCaching()

    - #### isSetCaching

          public boolean isSetCaching()

      Returns true if field caching is set (has been assigned a value) and false otherwise

    - #### setCachingIsSet

          public void setCachingIsSet(boolean value)

    - #### getDclocal_read_repair_chance

          public double getDclocal_read_repair_chance()

    - #### setDclocal_read_repair_chance

          public CfDef setDclocal_read_repair_chance(double dclocal_read_repair_chance)

    - #### unsetDclocal_read_repair_chance

          public void unsetDclocal_read_repair_chance()

    - #### isSetDclocal_read_repair_chance

          public boolean isSetDclocal_read_repair_chance()

      Returns true if field dclocal_read_repair_chance is set (has been assigned a value) and false otherwise

    - #### setDclocal_read_repair_chanceIsSet

          public void setDclocal_read_repair_chanceIsSet(boolean value)

    - #### getMemtable_flush_period_in_ms

          public int getMemtable_flush_period_in_ms()

    - #### setMemtable_flush_period_in_ms

          public CfDef setMemtable_flush_period_in_ms(int memtable_flush_period_in_ms)

    - #### unsetMemtable_flush_period_in_ms

          public void unsetMemtable_flush_period_in_ms()

    - #### isSetMemtable_flush_period_in_ms

          public boolean isSetMemtable_flush_period_in_ms()

      Returns true if field memtable_flush_period_in_ms is set (has been assigned a value) and false otherwise

    - #### setMemtable_flush_period_in_msIsSet

          public void setMemtable_flush_period_in_msIsSet(boolean value)

    - #### getDefault_time_to_live

          public int getDefault_time_to_live()

    - #### setDefault_time_to_live

          public CfDef setDefault_time_to_live(int default_time_to_live)

    - #### unsetDefault_time_to_live

          public void unsetDefault_time_to_live()

    - #### isSetDefault_time_to_live

          public boolean isSetDefault_time_to_live()

      Returns true if field default_time_to_live is set (has been assigned a value) and false otherwise

    - #### setDefault_time_to_liveIsSet

          public void setDefault_time_to_liveIsSet(boolean value)

    - #### getSpeculative_retry

          public java.lang.String getSpeculative_retry()

    - #### setSpeculative_retry

          public CfDef setSpeculative_retry(java.lang.String speculative_retry)

    - #### unsetSpeculative_retry

          public void unsetSpeculative_retry()

    - #### isSetSpeculative_retry

          public boolean isSetSpeculative_retry()

      Returns true if field speculative_retry is set (has been assigned a value) and false otherwise

    - #### setSpeculative_retryIsSet

          public void setSpeculative_retryIsSet(boolean value)

    - #### getTriggersSize

          public int getTriggersSize()

    - #### getTriggersIterator

          public java.util.Iterator<TriggerDef> getTriggersIterator()

    - #### addToTriggers

          public void addToTriggers(TriggerDef elem)

    - #### getTriggers

          public java.util.List<TriggerDef> getTriggers()

    - #### setTriggers

          public CfDef setTriggers(java.util.List<TriggerDef> triggers)

    - #### unsetTriggers

          public void unsetTriggers()

    - #### isSetTriggers

          public boolean isSetTriggers()

      Returns true if field triggers is set (has been assigned a value) and false otherwise

    - #### setTriggersIsSet

          public void setTriggersIsSet(boolean value)

    - #### getCells_per_row_to_cache

          public java.lang.String getCells_per_row_to_cache()

    - #### setCells_per_row_to_cache

          public CfDef setCells_per_row_to_cache(java.lang.String cells_per_row_to_cache)

    - #### unsetCells_per_row_to_cache

          public void unsetCells_per_row_to_cache()

    - #### isSetCells_per_row_to_cache

          public boolean isSetCells_per_row_to_cache()

      Returns true if field cells_per_row_to_cache is set (has been assigned a value) and false otherwise

    - #### setCells_per_row_to_cacheIsSet

          public void setCells_per_row_to_cacheIsSet(boolean value)

    - #### getMin_index_interval

          public int getMin_index_interval()

    - #### setMin_index_interval

          public CfDef setMin_index_interval(int min_index_interval)

    - #### unsetMin_index_interval

          public void unsetMin_index_interval()

    - #### isSetMin_index_interval

          public boolean isSetMin_index_interval()

      Returns true if field min_index_interval is set (has been assigned a value) and false otherwise

    - #### setMin_index_intervalIsSet

          public void setMin_index_intervalIsSet(boolean value)

    - #### getMax_index_interval

          public int getMax_index_interval()

    - #### setMax_index_interval

          public CfDef setMax_index_interval(int max_index_interval)

    - #### unsetMax_index_interval

          public void unsetMax_index_interval()

    - #### isSetMax_index_interval

          public boolean isSetMax_index_interval()

      Returns true if field max_index_interval is set (has been assigned a value) and false otherwise

    - #### setMax_index_intervalIsSet

          public void setMax_index_intervalIsSet(boolean value)

    - #### getRow_cache_size

          public double getRow_cache_size()

      Deprecated.

    - #### setRow_cache_size

          public CfDef setRow_cache_size(double row_cache_size)

      Deprecated.

    - #### unsetRow_cache_size

          public void unsetRow_cache_size()

    - #### isSetRow_cache_size

          public boolean isSetRow_cache_size()

      Returns true if field row_cache_size is set (has been assigned a value) and false otherwise

    - #### setRow_cache_sizeIsSet

          public void setRow_cache_sizeIsSet(boolean value)

    - #### getKey_cache_size

          public double getKey_cache_size()

      Deprecated.

    - #### setKey_cache_size

          public CfDef setKey_cache_size(double key_cache_size)

      Deprecated.

    - #### unsetKey_cache_size

          public void unsetKey_cache_size()

    - #### isSetKey_cache_size

          public boolean isSetKey_cache_size()

      Returns true if field key_cache_size is set (has been assigned a value) and false otherwise

    - #### setKey_cache_sizeIsSet

          public void setKey_cache_sizeIsSet(boolean value)

    - #### getRow_cache_save_period_in_seconds

          public int getRow_cache_save_period_in_seconds()

      Deprecated.

    - #### setRow_cache_save_period_in_seconds

          public CfDef setRow_cache_save_period_in_seconds(int row_cache_save_period_in_seconds)

      Deprecated.

    - #### unsetRow_cache_save_period_in_seconds

          public void unsetRow_cache_save_period_in_seconds()

    - #### isSetRow_cache_save_period_in_seconds

          public boolean isSetRow_cache_save_period_in_seconds()

      Returns true if field row_cache_save_period_in_seconds is set (has been assigned a value) and false otherwise

    - #### setRow_cache_save_period_in_secondsIsSet

          public void setRow_cache_save_period_in_secondsIsSet(boolean value)

    - #### getKey_cache_save_period_in_seconds

          public int getKey_cache_save_period_in_seconds()

      Deprecated.

    - #### setKey_cache_save_period_in_seconds

          public CfDef setKey_cache_save_period_in_seconds(int key_cache_save_period_in_seconds)

      Deprecated.

    - #### unsetKey_cache_save_period_in_seconds

          public void unsetKey_cache_save_period_in_seconds()

    - #### isSetKey_cache_save_period_in_seconds

          public boolean isSetKey_cache_save_period_in_seconds()

      Returns true if field key_cache_save_period_in_seconds is set (has been assigned a value) and false otherwise

    - #### setKey_cache_save_period_in_secondsIsSet

          public void setKey_cache_save_period_in_secondsIsSet(boolean value)

    - #### getMemtable_flush_after_mins

          public int getMemtable_flush_after_mins()

      Deprecated.

    - #### setMemtable_flush_after_mins

          public CfDef setMemtable_flush_after_mins(int memtable_flush_after_mins)

      Deprecated.

    - #### unsetMemtable_flush_after_mins

          public void unsetMemtable_flush_after_mins()

    - #### isSetMemtable_flush_after_mins

          public boolean isSetMemtable_flush_after_mins()

      Returns true if field memtable_flush_after_mins is set (has been assigned a value) and false otherwise

    - #### setMemtable_flush_after_minsIsSet

          public void setMemtable_flush_after_minsIsSet(boolean value)

    - #### getMemtable_throughput_in_mb

          public int getMemtable_throughput_in_mb()

      Deprecated.

    - #### setMemtable_throughput_in_mb

          public CfDef setMemtable_throughput_in_mb(int memtable_throughput_in_mb)

      Deprecated.

    - #### unsetMemtable_throughput_in_mb

          public void unsetMemtable_throughput_in_mb()

    - #### isSetMemtable_throughput_in_mb

          public boolean isSetMemtable_throughput_in_mb()

      Returns true if field memtable_throughput_in_mb is set (has been assigned a value) and false otherwise

    - #### setMemtable_throughput_in_mbIsSet

          public void setMemtable_throughput_in_mbIsSet(boolean value)

    - #### getMemtable_operations_in_millions

          public double getMemtable_operations_in_millions()

      Deprecated.

    - #### setMemtable_operations_in_millions

          public CfDef setMemtable_operations_in_millions(double memtable_operations_in_millions)

      Deprecated.

    - #### unsetMemtable_operations_in_millions

          public void unsetMemtable_operations_in_millions()

    - #### isSetMemtable_operations_in_millions

          public boolean isSetMemtable_operations_in_millions()

      Returns true if field memtable_operations_in_millions is set (has been assigned a value) and false otherwise

    - #### setMemtable_operations_in_millionsIsSet

          public void setMemtable_operations_in_millionsIsSet(boolean value)

    - #### isReplicate_on_write

          public boolean isReplicate_on_write()

      Deprecated.

    - #### setReplicate_on_write

          public CfDef setReplicate_on_write(boolean replicate_on_write)

      Deprecated.

    - #### unsetReplicate_on_write

          public void unsetReplicate_on_write()

    - #### isSetReplicate_on_write

          public boolean isSetReplicate_on_write()

      Returns true if field replicate_on_write is set (has been assigned a value) and false otherwise

    - #### setReplicate_on_writeIsSet

          public void setReplicate_on_writeIsSet(boolean value)

    - #### getMerge_shards_chance

          public double getMerge_shards_chance()

      Deprecated.

    - #### setMerge_shards_chance

          public CfDef setMerge_shards_chance(double merge_shards_chance)

      Deprecated.

    - #### unsetMerge_shards_chance

          public void unsetMerge_shards_chance()

    - #### isSetMerge_shards_chance

          public boolean isSetMerge_shards_chance()

      Returns true if field merge_shards_chance is set (has been assigned a value) and false otherwise

    - #### setMerge_shards_chanceIsSet

          public void setMerge_shards_chanceIsSet(boolean value)

    - #### getRow_cache_provider

          public java.lang.String getRow_cache_provider()

      Deprecated.

    - #### setRow_cache_provider

          public CfDef setRow_cache_provider(java.lang.String row_cache_provider)

      Deprecated.

    - #### unsetRow_cache_provider

          public void unsetRow_cache_provider()

    - #### isSetRow_cache_provider

          public boolean isSetRow_cache_provider()

      Returns true if field row_cache_provider is set (has been assigned a value) and false otherwise

    - #### setRow_cache_providerIsSet

          public void setRow_cache_providerIsSet(boolean value)

    - #### getRow_cache_keys_to_save

          public int getRow_cache_keys_to_save()

      Deprecated.

    - #### setRow_cache_keys_to_save

          public CfDef setRow_cache_keys_to_save(int row_cache_keys_to_save)

      Deprecated.

    - #### unsetRow_cache_keys_to_save

          public void unsetRow_cache_keys_to_save()

    - #### isSetRow_cache_keys_to_save

          public boolean isSetRow_cache_keys_to_save()

      Returns true if field row_cache_keys_to_save is set (has been assigned a value) and false otherwise

    - #### setRow_cache_keys_to_saveIsSet

          public void setRow_cache_keys_to_saveIsSet(boolean value)

    - #### isPopulate_io_cache_on_flush

          public boolean isPopulate_io_cache_on_flush()

      Deprecated.

    - #### setPopulate_io_cache_on_flush

          public CfDef setPopulate_io_cache_on_flush(boolean populate_io_cache_on_flush)

      Deprecated.

    - #### unsetPopulate_io_cache_on_flush

          public void unsetPopulate_io_cache_on_flush()

    - #### isSetPopulate_io_cache_on_flush

          public boolean isSetPopulate_io_cache_on_flush()

      Returns true if field populate_io_cache_on_flush is set (has been assigned a value) and false otherwise

    - #### setPopulate_io_cache_on_flushIsSet

          public void setPopulate_io_cache_on_flushIsSet(boolean value)

    - #### getIndex_interval

          public int getIndex_interval()

      Deprecated.

    - #### setIndex_interval

          public CfDef setIndex_interval(int index_interval)

      Deprecated.

    - #### unsetIndex_interval

          public void unsetIndex_interval()

    - #### isSetIndex_interval

          public boolean isSetIndex_interval()

      Returns true if field index_interval is set (has been assigned a value) and false otherwise

    - #### setIndex_intervalIsSet

          public void setIndex_intervalIsSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(CfDef._Fields field,
                                    java.lang.Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<CfDef,CfDef._Fields>`

    - #### getFieldValue

          public java.lang.Object getFieldValue(CfDef._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<CfDef,CfDef._Fields>`

    - #### isSet

          public boolean isSet(CfDef._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<CfDef,CfDef._Fields>`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(CfDef that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(CfDef other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<CfDef>`

    - #### fieldForId

          public CfDef._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<CfDef,CfDef._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TBase<CfDef,CfDef._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TBase<CfDef,CfDef._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright © 2018 The Apache Software Foundation